public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch
@ 2023-07-17 14:36 Matt Turner
  2023-07-17 14:52 ` Ulrich Mueller
  0 siblings, 1 reply; 5+ messages in thread
From: Matt Turner @ 2023-07-17 14:36 UTC (permalink / raw
  To: gentoo-dev; +Cc: mgorny, konsolebox, Matt Turner

From: konsolebox <konsolebox@gmail.com>

Closes: https://bugs.gentoo.org/841392
Signed-off-by: Matt Turner <mattst88@gentoo.org>
---
 eclass/git-r3.eclass | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index e9fdf2ac3a42..5ac141962b12 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -344,7 +344,7 @@ _git-r3_set_gitdir() {
 			umask "${EVCS_UMASK}" || die "Bad options to umask: ${EVCS_UMASK}"
 		fi
 		mkdir "${GIT_DIR}" || die
-		git init --bare || die
+		git init --bare -b __init__ || die
 		if [[ ${saved_umask} ]]; then
 			umask "${saved_umask}" || die
 		fi
@@ -874,7 +874,7 @@ git-r3_checkout() {
 		# use git init+fetch instead of clone since the latter doesn't like
 		# non-empty directories.
 
-		git init --quiet || die
+		git init --quiet -b __init__ || die
 		# setup 'alternates' to avoid copying objects
 		echo "${orig_repo}/objects" > "${GIT_DIR}"/objects/info/alternates || die
 		# now copy the refs
-- 
2.41.0



^ permalink raw reply related	[flat|nested] 5+ messages in thread

* Re: [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch
  2023-07-17 14:36 [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch Matt Turner
@ 2023-07-17 14:52 ` Ulrich Mueller
  2023-07-17 15:51   ` konsolebox
  0 siblings, 1 reply; 5+ messages in thread
From: Ulrich Mueller @ 2023-07-17 14:52 UTC (permalink / raw
  To: Matt Turner; +Cc: gentoo-dev, mgorny, konsolebox

[-- Attachment #1: Type: text/plain, Size: 281 bytes --]

>>>>> On Mon, 17 Jul 2023, Matt Turner wrote:

> From: konsolebox <konsolebox@gmail.com>
> Closes: https://bugs.gentoo.org/841392
> Signed-off-by: Matt Turner <mattst88@gentoo.org>

Maybe the commit message could shortly explain why this is needed,
or what problem is fixed by it?

[-- Attachment #2: signature.asc --]
[-- Type: application/pgp-signature, Size: 507 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch
  2023-07-17 14:52 ` Ulrich Mueller
@ 2023-07-17 15:51   ` konsolebox
  2023-07-17 16:01     ` Ulrich Mueller
  0 siblings, 1 reply; 5+ messages in thread
From: konsolebox @ 2023-07-17 15:51 UTC (permalink / raw
  To: Ulrich Mueller; +Cc: Matt Turner, gentoo-dev, Michał Górny

[-- Attachment #1: Type: text/plain, Size: 459 bytes --]

On Mon, Jul 17, 2023, 22:53 Ulrich Mueller, <ulm@gentoo.org> wrote:

> >>>>> On Mon, 17 Jul 2023, Matt Turner wrote:
>
> > From: konsolebox <konsolebox@gmail.com>
> > Closes: https://bugs.gentoo.org/841392
> > Signed-off-by: Matt Turner <mattst88@gentoo.org>
>
> Maybe the commit message could shortly explain why this is needed,
> or what problem is fixed by it?
>

It silences the default branch warning. If that's unwanted, kindly just
close the issue.

>

[-- Attachment #2: Type: text/html, Size: 1237 bytes --]

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch
  2023-07-17 15:51   ` konsolebox
@ 2023-07-17 16:01     ` Ulrich Mueller
  2023-07-17 16:04       ` Matt Turner
  0 siblings, 1 reply; 5+ messages in thread
From: Ulrich Mueller @ 2023-07-17 16:01 UTC (permalink / raw
  To: konsolebox; +Cc: gentoo-dev, Matt Turner, Michał Górny

>>>>> On Mon, 17 Jul 2023, konsolebox  wrote:

>> Maybe the commit message could shortly explain why this is needed,
>> or what problem is fixed by it?

> It silences the default branch warning.

Add this sentence to the commit message then?

> If that's unwanted, kindly just close the issue.

Huh?


^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch
  2023-07-17 16:01     ` Ulrich Mueller
@ 2023-07-17 16:04       ` Matt Turner
  0 siblings, 0 replies; 5+ messages in thread
From: Matt Turner @ 2023-07-17 16:04 UTC (permalink / raw
  To: Ulrich Mueller; +Cc: konsolebox, gentoo-dev, Michał Górny

On Mon, Jul 17, 2023 at 12:01 PM Ulrich Mueller <ulm@gentoo.org> wrote:
>
> >>>>> On Mon, 17 Jul 2023, konsolebox  wrote:
>
> >> Maybe the commit message could shortly explain why this is needed,
> >> or what problem is fixed by it?
>
> > It silences the default branch warning.
>
> Add this sentence to the commit message then?

I will do that.

> > If that's unwanted, kindly just close the issue.
>
> Huh?

He's just saying if we don't want the patch, that's okay with him.


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2023-07-17 16:04 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-07-17 14:36 [gentoo-dev] [PATCH] git-r3.eclass: Use '__init__' as initial branch Matt Turner
2023-07-17 14:52 ` Ulrich Mueller
2023-07-17 15:51   ` konsolebox
2023-07-17 16:01     ` Ulrich Mueller
2023-07-17 16:04       ` Matt Turner

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox